Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227252 - Review Request: xine-plugin - mozilla plugin using libxine as backend
Summary: Review Request: xine-plugin - mozilla plugin using libxine as backend
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-04 00:45 UTC by Martin Sourada
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-15 19:48:18 UTC
gauret: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Martin Sourada 2007-02-04 00:45:05 UTC
Spec URL: http://feannatar.hostuju.cz/fedora/files/FC6/SPECS/xine-plugin.spec
SRPM URL: http://feannatar.hostuju.cz/fedora/files/FC6/SRPMS/xine-plugin-1.0-1.src.rpm
Description: 
This is a very simple netscape/mozilla browser plugin using the xine
engine to display multimedia streams.

Features:

- embedded display on browser window
- streaming playback directly from xine engine
- playback control using keyboard
- relative paths supported
- on screen display of buffering and stream information
- playlists and references support
- loop and repeat mode
- multiple instances within the same page
- javascript support

Note: I am not sponsored.

Comment 1 Aurelien Bompard 2007-03-10 21:29:40 UTC
Missing BuildRequires: xorg-x11-proto-devel, libX11-devel
Apart from that, it looks good.

Comment 2 Martin Sourada 2007-03-13 18:56:12 UTC
(In reply to comment #1)
> Missing BuildRequires: xorg-x11-proto-devel, libX11-devel
> Apart from that, it looks good.

Thanks, I missed them. Fixed.

New SPEC: http://feannatar.hostuju.cz/fedora/files/FC6/SPECS/xine-plugin.spec
New SRPM:
http://feannatar.hostuju.cz/fedora/files/FC6/SRPMS/xine-plugin-1.0-2.src.rpm

Comment 3 Aurelien Bompard 2007-03-13 21:56:24 UTC
Review for release 2.fc6:
* RPM name is OK
* Source xine-plugin-1.0.tar.bz2 is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine

Detail : the two BuildRequires you just added have been lined up with tabs
(lines 14 and 15, see rpmlint). Change them to spaces before or after importing
please.

APPROVED. I'll sponsor you.

Comment 4 Martin Sourada 2007-03-14 15:02:23 UTC
Thanks. I fixed the rpmlint warning and added cvsextras and fedorabugs
membership to my fedora account.

Comment 5 Martin Sourada 2007-03-14 22:53:23 UTC
New Package CVS Request
=======================
Package Name: xine-plugin
Short Description: Simple mozilla browser plugin using xine-lib engine
Owners: martin.sourada@seznam.cz
Branches: FC-6
InitialCC: martin.sourada@seznam.cz

Comment 6 Jens Petersen 2007-03-15 06:16:40 UTC
done  (since you are the owner no need to list yourself under cc too btw)


Note You need to log in before you can comment on or make changes to this bug.